#-*- coding:utf-8 -*-
"""
$Id$
"""
import os.path
import tarfile
from zope.app.file import Image
from zope.app.zptpage import ZPTPage
from z3site import Theme


def loadFromTarGz(file, root):
    tf = tarfile.open(None, 'r|gz', file)
    
    for tarinfo in tf:        
        if tarinfo.isdir():
            name = os.path.dirname(tarinfo.name)
            theme = Theme()
            root[name] = theme            
        elif tarinfo.isfile():
            name = os.path.basename(tarinfo.name)            
            data = tf.extractfile(tarinfo).read()
            
            if name.endswith('.html') or name.endswith('.css'):
                obj = ZPTPage()
                obj.setSource(unicode(data))
            else:
                obj = Image(data)
                
            theme[name] = obj
            
